## WebKitDOMHTMLAnchorElement WebKitDOMHTMLAnchorElement |

## Functions

gchar * | webkit_dom_html_anchor_element_get_charset ()
void | webkit_dom_html_anchor_element_set_charset ()
gchar * | webkit_dom_html_anchor_element_get_coords ()
void | webkit_dom_html_anchor_element_set_coords ()
gchar * | webkit_dom_html_anchor_element_get_href ()
void | webkit_dom_html_anchor_element_set_href ()
gchar * | webkit_dom_html_anchor_element_get_hreflang ()
void | webkit_dom_html_anchor_element_set_hreflang ()
gchar * | webkit_dom_html_anchor_element_get_name ()
void | webkit_dom_html_anchor_element_set_name ()
gchar * | webkit_dom_html_anchor_element_get_rel ()
void | webkit_dom_html_anchor_element_set_rel ()
gchar * | webkit_dom_html_anchor_element_get_rev ()
void | webkit_dom_html_anchor_element_set_rev ()
gchar * | webkit_dom_html_anchor_element_get_shape ()
void | webkit_dom_html_anchor_element_set_shape ()
gchar * | webkit_dom_html_anchor_element_get_target ()
void | webkit_dom_html_anchor_element_set_target ()
gchar * | webkit_dom_html_anchor_element_get_type_attr ()
void | webkit_dom_html_anchor_element_set_type_attr ()
gchar * | webkit_dom_html_anchor_element_get_hash ()
void | webkit_dom_html_anchor_element_set_hash ()
gchar * | webkit_dom_html_anchor_element_get_host ()
void | webkit_dom_html_anchor_element_set_host ()
gchar * | webkit_dom_html_anchor_element_get_hostname ()
void | webkit_dom_html_anchor_element_set_hostname ()
gchar * | webkit_dom_html_anchor_element_get_pathname ()
void | webkit_dom_html_anchor_element_set_pathname ()
gchar * | webkit_dom_html_anchor_element_get_port ()
void | webkit_dom_html_anchor_element_set_port ()
gchar * | webkit_dom_html_anchor_element_get_protocol ()
void | webkit_dom_html_anchor_element_set_protocol ()
gchar * | webkit_dom_html_anchor_element_get_search ()
void | webkit_dom_html_anchor_element_set_search ()
gchar * | webkit_dom_html_anchor_element_get_text ()

## Properties

gchar * | charset | Read / Write
gchar * | coords | Read / Write
gchar * | download | Read / Write
gchar * | hash | Read / Write
gchar * | host | Read / Write
gchar * | hostname | Read / Write
gchar * | href | Read / Write
gchar * | hreflang | Read / Write
gchar * | name | Read / Write
gchar * | origin | Read
gchar * | pathname | Read / Write
gchar * | ping | Read / Write
gchar * | port | Read / Write
gchar * | protocol | Read / Write
gchar * | rel | Read / Write
gchar * | rev | Read / Write
gchar * | search | Read / Write
gchar * | shape | Read / Write
gchar * | target | Read / Write
gchar * | text | Read
gchar * | type | Read / Write

## Types and Values

| WebKitDOMHTMLAnchorElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLAnchorElement

## Implemented Interfaces

WebKitDOMHTMLAnchorElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_anchor_element_get_charset ()

    gchar *
    webkit_dom_html_anchor_element_get_charset
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_charset ()

    void
    webkit_dom_html_anchor_element_set_charset
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_coords ()

    gchar *
    webkit_dom_html_anchor_element_get_coords
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_coords ()

    void
    webkit_dom_html_anchor_element_set_coords
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_href ()

    gchar *
    webkit_dom_html_anchor_element_get_href
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_href ()

    void
    webkit_dom_html_anchor_element_set_href
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_hreflang ()

    gchar *
    webkit_dom_html_anchor_element_get_hreflang
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_hreflang ()

    void
    webkit_dom_html_anchor_element_set_hreflang
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_name ()

    gchar *
    webkit_dom_html_anchor_element_get_name
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_name ()

    void
    webkit_dom_html_anchor_element_set_name
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_rel ()

    gchar *
    webkit_dom_html_anchor_element_get_rel
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_rel ()

    void
    webkit_dom_html_anchor_element_set_rel
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_rev ()

    gchar *
    webkit_dom_html_anchor_element_get_rev
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_rev ()

    void
    webkit_dom_html_anchor_element_set_rev
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_shape ()

    gchar *
    webkit_dom_html_anchor_element_get_shape
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_shape ()

    void
    webkit_dom_html_anchor_element_set_shape
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_target ()

    gchar *
    webkit_dom_html_anchor_element_get_target
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_target ()

    void
    webkit_dom_html_anchor_element_set_target
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_type_attr ()

    gchar *
    webkit_dom_html_anchor_element_get_type_attr
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_type_attr ()

    void
    webkit_dom_html_anchor_element_set_type_attr
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_hash ()

    gchar *
    webkit_dom_html_anchor_element_get_hash
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_hash ()

    void
    webkit_dom_html_anchor_element_set_hash
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_host ()

    gchar *
    webkit_dom_html_anchor_element_get_host
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_host ()

    void
    webkit_dom_html_anchor_element_set_host
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_hostname ()

    gchar *
    webkit_dom_html_anchor_element_get_hostname
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_hostname ()

    void
    webkit_dom_html_anchor_element_set_hostname
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_pathname ()

    gchar *
    webkit_dom_html_anchor_element_get_pathname
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_pathname ()

    void
    webkit_dom_html_anchor_element_set_pathname
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_port ()

    gchar *
    webkit_dom_html_anchor_element_get_port
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_port ()

    void
    webkit_dom_html_anchor_element_set_port
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_protocol ()

    gchar *
    webkit_dom_html_anchor_element_get_protocol
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_protocol ()

    void
    webkit_dom_html_anchor_element_set_protocol
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_search ()

    gchar *
    webkit_dom_html_anchor_element_get_search
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

### webkit_dom_html_anchor_element_set_search ()

    void
    webkit_dom_html_anchor_element_set_search
                                   (WebKitDOMHTMLAnchorElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |
value | A gchar |

### webkit_dom_html_anchor_element_get_text ()

    gchar *
    webkit_dom_html_anchor_element_get_text
                                   (WebKitDOMHTMLAnchorElement *self);

#### Parameters

self | A WebKitDOMHTMLAnchorElement |

#### Returns

A gchar

## Types and Values

### WebKitDOMHTMLAnchorElement

    typedef struct _WebKitDOMHTMLAnchorElement WebKitDOMHTMLAnchorElement;

## Property Details

### The `“charset”` property

      “charset”                  gchar *

read-write gchar* HTMLAnchorElement:charset.

Flags: Read / Write

Default value: ""

### The `“coords”` property

      “coords”                   gchar *

read-write gchar* HTMLAnchorElement:coords.

Flags: Read / Write

Default value: ""

### The `“download”` property

      “download”                 gchar *

read-write gchar* HTMLAnchorElement:download.

Flags: Read / Write

Default value: ""

### The `“hash”` property

      “hash”                     gchar *

read-write gchar* HTMLAnchorElement:hash.

Flags: Read / Write

Default value: ""

### The `“host”` property

      “host”                     gchar *

read-write gchar* HTMLAnchorElement:host.

Flags: Read / Write

Default value: ""

### The `“hostname”` property

      “hostname”                 gchar *

read-write gchar* HTMLAnchorElement:hostname.

Flags: Read / Write

Default value: ""

### The `“href”` property

      “href”                     gchar *

read-write gchar* HTMLAnchorElement:href.

Flags: Read / Write

Default value: ""

### The `“hreflang”` property

      “hreflang”                 gchar *

read-write gchar* HTMLAnchorElement:hreflang.

Flags: Read / Write

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLAnchorElement:name.

Flags: Read / Write

Default value: ""

### The `“origin”` property

      “origin”                   gchar *

read-only gchar* HTMLAnchorElement:origin.

Flags: Read

Default value: ""

### The `“pathname”` property

      “pathname”                 gchar *

read-write gchar* HTMLAnchorElement:pathname.

Flags: Read / Write

Default value: ""

### The `“ping”` property

      “ping”                     gchar *

read-write gchar* HTMLAnchorElement:ping.

Flags: Read / Write

Default value: ""

### The `“port”` property

      “port”                     gchar *

read-write gchar* HTMLAnchorElement:port.

Flags: Read / Write

Default value: ""

### The `“protocol”` property

      “protocol”                 gchar *

read-write gchar* HTMLAnchorElement:protocol.

Flags: Read / Write

Default value: ""

### The `“rel”` property

      “rel”                      gchar *

read-write gchar* HTMLAnchorElement:rel.

Flags: Read / Write

Default value: ""

### The `“rev”` property

      “rev”                      gchar *

read-write gchar* HTMLAnchorElement:rev.

Flags: Read / Write

Default value: ""

### The `“search”` property

      “search”                   gchar *

read-write gchar* HTMLAnchorElement:search.

Flags: Read / Write

Default value: ""

### The `“shape”` property

      “shape”                    gchar *

read-write gchar* HTMLAnchorElement:shape.

Flags: Read / Write

Default value: ""

### The `“target”` property

      “target”                   gchar *

read-write gchar* HTMLAnchorElement:target.

Flags: Read / Write

Default value: ""

### The `“text”` property

      “text”                     gchar *

read-only gchar* HTMLAnchorElement:text.

Flags: Read

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLAnchorElement:type.

Flags: Read / Write

Default value: ""